<?php

namespace App\Form;

use App\Entity\GpuCore;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class GPUCoreType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
			->add('brand')
            ->add('name')
            ->add('variant')
            ->add('architecture')
            ->add('architectureLink')
			->add('generationName')
            ->add('processNode')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => GpuCore::class,
        ]);
    }
}
